Name:      seqan
Summary:   Open source C++ library of efficient algorithms and data structures
Version:   1.4.1
Release:   2%{?dist}
License:   BSD
URL:       http://www.seqan.de/
Source0:   http://packages.seqan.de/seqan-src/seqan-src-%{version}.tar.gz

## This patch sets a seqan directory for documentation files
Patch0:    %{name}-docpath.patch

BuildRequires: qt4-devel >= 4.7
BuildRequires: cmake >= 2.8 
BuildRequires: llvm-devel, bzip2-devel, zlib-devel, boost-devel
BuildRequires: coin-or-lemon-devel, openmpi-devel
BuildRequires: python2-devel
BuildRequires: java-1.7.0-openjdk-devel

## Bundled files exception https://fedorahosted.org/fpc/ticket/174
Provides: bundled(gnulib)

%description
SeqAn is an open source C++ library of efficient algorithms and data structures 
for the analysis of sequences with the focus on biological data. 
Our library applies a unique generic design that guarantees high performance, 
generality, extensibility, and integration with other libraries. 

%package devel
Summary: SeqAn development files
%description devel
Developer files for SeqAn, in the form for C header files.

%prep
%setup -q -n seqan-%{version}
%patch0 -p0

%build
mkdir -p build/Release && pushd build/Release
%cmake \
 -DCMAKE_CXX_FLAGS="$RPM_OPT_FLAGS" \
 -DCMAKE_C_FLAGS="$RPM_OPT_FLAGS" \
 -DCMAKE_BUILD_TYPE=Release -DSEQAN_BUILD_SYSTEM=SEQAN_RELEASE_APPS \
 -DCMAKE_SKIP_RPATH=YES ../..
make %{?_smp_mflags}
make docs
popd

%install
%make_install -C build/Release

## Put header files in ad-hoc include directory  
mkdir -p %{buildroot}%{_includedir}/seqan
cp -pr extras/include/seqan/* %{buildroot}%{_includedir}/seqan
cp -pr core/include/seqan/* %{buildroot}%{_includedir}/seqan

## Fixed spurious executable permissions
find %{buildroot}%{_includedir}/seqan -type f -exec chmod 644 {} \;

## Fix wrong-file-end-of-line-encoding warnings
sed -i 's/\r$//' %{buildroot}%{_docdir}/seqan/stellar/README
sed -i 's/\r$//' %{buildroot}%{_docdir}/seqan/breakpoint_calculator/example/alignment.maf

## Rename 'join' binary file; it conflicts with the one owned by 'coreutils' package
mv %{buildroot}%{_bindir}/join %{buildroot}%{_bindir}/searchjoin


%files
%doc LICENSE README
%{_bindir}/*
%doc %{_docdir}/seqan

%files devel
%doc LICENSE README
%{_includedir}/seqan/

%changelog
* Sat Jun 14 2014 Antonio Trande <sagitter@fedoraproject.org> 1.4.1-2
- Added 'Provides:bundled(gnulib)'
- Changed find command for executable permissions fixing
- Use %%make_install 
- Fixed wrong-file-end-of-line-encoding warnings
 
* Wed Jun 11 2014 Antonio Trande <sagitter@fedoraproject.org> 1.4.1-1
- First package
